# Interface methods for submodule: TriangleHelper
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: TriangleHelper
class TriangleHelperProxy():
	@staticmethod
	def IsObtuse(iA: Sequence[float], iB: Sequence[float], iC: Sequence[float]) -> bool:
		""""""
		...

	@staticmethod
	def ComputeNormal(iA: Sequence[float], iB: Sequence[float], iC: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@staticmethod
	def Cotangent(iA: Sequence[float], iB: Sequence[float], iC: Sequence[float]) -> float:
		""""""
		...

	@staticmethod
	def ComputeBarycenter(iA1: float, iP1: Sequence[float], iA2: float, iP2: Sequence[float], iA3: float, iP3: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@staticmethod
	def ComputeAngle(iP1: Sequence[float], iP2: Sequence[float], iP3: Sequence[float]) -> float:
		""""""
		...

	@staticmethod
	def ComputeGravityCenter(iP1: Sequence[float], iP2: Sequence[float], iP3: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@staticmethod
	def ComputeCircumCenter(iP1: Sequence[float], iP2: Sequence[float], iP3: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@staticmethod
	def ComputeConstrainedCircumCenter(iP1: Sequence[float], iP2: Sequence[float], iP3: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@staticmethod
	def ComputeArea(iP1: Sequence[float], iP2: Sequence[float], iP3: Sequence[float]) -> float:
		""""""
		...

	@staticmethod
	def ComputeMixedArea(iP1: Sequence[float], iP2: Sequence[float], iP3: Sequence[float]) -> float:
		""""""
		...

